Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSBridgeDestinationMBean

public interface JMSBridgeDestinationMBean
extends BridgeDestinationCommonMBean

This class represents a messaging bridge destination for a JMS messaging product.

Each messaging bridge consists of two destinations that are being bridged: a source destination that the bridge reads messages from, and a target destination where the bridge sends the messages that it receives from the source destination.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `DEFAULT_INITIAL_CONTEXT_FACTORY`

Fields inherited from class weblogic.management.configuration.BridgeDestinationCommonMBean
`CACHING_STUB_SVUID, JMS_XA_ADAPTER_JNDI`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getConnectionFactoryJNDIName()` The connection factory's JNDI name for a JMS bridge destination.
`java.lang.String` | `getConnectionURL()` The connection URL for a JMS bridge destination.
`java.lang.String` | `getDestinationJNDIName()` The destination JNDI name for a JMS bridge destination.
`java.lang.String` | `getDestinationType()` The destination type (queue or topic) for a JMS bridge destination.
`java.lang.String` | `getInitialContextFactory()` The initial context factory name for a JMS bridge destination.
`void` | `setConnectionFactoryJNDIName(java.lang.String jndi)` The connection factory's JNDI name for a JMS bridge destination.
`void` | `setConnectionURL(java.lang.String jndi)` The connection URL for a JMS bridge destination.
`void` | `setDestinationJNDIName(java.lang.String jndi)` The destination JNDI name for a JMS bridge destination.
`void` | `setDestinationType(java.lang.String type)` The destination type (queue or topic) for a JMS bridge destination.
`void` | `setInitialContextFactory(java.lang.String jndi)` The initial context factory name for a JMS bridge destination.

Methods inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`getAdapterJNDIName, getClasspath, getUserName, getUserPassword, getUserPasswordEncrypted, setAdapterJNDIName, setClasspath, setUserName, setUserPassword, setUserPasswordEncrypted`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### DEFAULT_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String DEFAULT_INITIAL_CONTEXT_FACTORY

Method Detail

### getConnectionFactoryJNDIName

    public java.lang.String getConnectionFactoryJNDIName()

  The connection factory's JNDI name for a JMS bridge destination.

  Returns:
    The connectionFactoryJNDIName value

### setConnectionFactoryJNDIName

    public void setConnectionFactoryJNDIName(java.lang.String jndi)
                                      throws javax.management.InvalidAttributeValueException

  The connection factory's JNDI name for a JMS bridge destination.

  Default Value: null
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false
  Parameters:
    `jndi` - The new connectionFactoryJNDIName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getInitialContextFactory

    public java.lang.String getInitialContextFactory()

  The initial context factory name for a JMS bridge destination.

  Returns:
    The initialContextFactory value

### setInitialContextFactory

    public void setInitialContextFactory(java.lang.String jndi)
                                  throws javax.management.InvalidAttributeValueException

  The initial context factory name for a JMS bridge destination.

  Default Value: DEFAULT_INITIAL_CONTEXT_FACTORY
  Parameters:
    `jndi` - The new initialContextFactory value
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnectionURL

    public java.lang.String getConnectionURL()

  The connection URL for a JMS bridge destination.

  Returns:
    The connectionURL value

### setConnectionURL

    public void setConnectionURL(java.lang.String jndi)
                          throws javax.management.InvalidAttributeValueException

  The connection URL for a JMS bridge destination.

  Parameters:
    `jndi` - The new connectionURL value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDestinationJNDIName

    public java.lang.String getDestinationJNDIName()

  The destination JNDI name for a JMS bridge destination.

  Returns:
    The destinationJNDIName value

### setDestinationJNDIName

    public void setDestinationJNDIName(java.lang.String jndi)
                                throws javax.management.InvalidAttributeValueException

  The destination JNDI name for a JMS bridge destination.

  Default Value: null
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false
  Parameters:
    `jndi` - The new destinationJNDIName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDestinationType

    public java.lang.String getDestinationType()

  The destination type (queue or topic) for a JMS bridge destination.

  Returns:
    The destinationType value

### setDestinationType

    public void setDestinationType(java.lang.String type)
                            throws javax.management.InvalidAttributeValueException

  The destination type (queue or topic) for a JMS bridge destination.

  Default Value: JMSConstants.DESTINATION_TYPE_QUEUE
  Legal Values: JMSConstants.DESTINATION_TYPE_QUEUE, JMSConstants.DESTINATION_TYPE_TOPIC
  Parameters:
    `type` - The new destinationType value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD